﻿using System;
using System.Collections.Generic;
using System.Text;

namespace AutoFixture.Specimen
{
    public class Account
    {
        public override string ToString()
        {
            StringBuilder outputString = new StringBuilder();
            outputString.Append(string.Format("{0}: {1} {2}\n", AccountId, Firstname, Lastname));
            foreach (var emailAddress in EmailAddresses)
            {
                outputString.Append(string.Format("{0}\n", emailAddress));
            }
            return outputString.ToString();
        }

        public Guid AccountId { get; set; }
        public string Firstname { get; set; }
        public string Lastname { get; set; }
        public IEnumerable<string> EmailAddresses { get; set; }
    }
}